summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Joel J. Adamson <sparrow1240@gmail.com>2010-05-12 23:32:57 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:57 +0200
commite0773fcf36106bd3b6724972c5e0b543cd6b2537 (patch)
treeab8ada98ed150d228abcdc39ff7e207fb8e36ee3 /office
parent178334c1cb836aa4371ee631f78f130b78ef6e47 (diff)
downloadslackbuilds-e0773fcf36106bd3b6724972c5e0b543cd6b2537.tar.gz
slackbuilds-e0773fcf36106bd3b6724972c5e0b543cd6b2537.tar.xz
office/bbdb: Added to 12.2 repository
Diffstat (limited to 'office')
-rw-r--r--office/bbdb/README2
-rw-r--r--office/bbdb/bbdb.SlackBuild69
-rw-r--r--office/bbdb/bbdb.info8
-rw-r--r--office/bbdb/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/office/bbdb/README b/office/bbdb/README
new file mode 100644
index 0000000000..4a44c4290e
--- /dev/null
+++ b/office/bbdb/README
@@ -0,0 +1,2 @@
+The Insidious Big Brother Database (BBDB) is a contact management
+utility created by Jamie Zawinski for use with Emacs.
diff --git a/office/bbdb/bbdb.SlackBuild b/office/bbdb/bbdb.SlackBuild
new file mode 100644
index 0000000000..d98dc45e7b
--- /dev/null
+++ b/office/bbdb/bbdb.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Written by Joel J. Adamson <sparrow1240@gmail.com>
+
+PRGNAM=bbdb
+VERSION=${VERSION:-2.35}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+# destination directories
+LISP=$PKG/usr/share/emacs/site-lisp/bbdb
+TEX=$PKG/usr/share/texmf/tex/latex/bbdb
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $LISP $TEX
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure
+make all
+
+# copy files
+cp lisp/* $LISP/
+cp -r utils $LISP
+cp tex/* $TEX
+
+mkdir -p $PKG/usr/info
+cat texinfo/bbdb.info > $PKG/usr/info/bbdb.info
+gzip -9 $PKG/usr/info/bbdb.info
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ config.log README ChangeLog INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/office/bbdb/bbdb.info b/office/bbdb/bbdb.info
new file mode 100644
index 0000000000..f2a12cce17
--- /dev/null
+++ b/office/bbdb/bbdb.info
@@ -0,0 +1,8 @@
+PRGNAM="bbdb"
+VERSION="2.35"
+HOMEPAGE="http://bbdb.sourceforge.net"
+DOWNLOAD="http://bbdb.sourceforge.net/bbdb-2.35.tar.gz"
+MD5SUM="5c4e7f2b2a6a8e25ff77351f533f3910"
+MAINTAINER="Joel J. Adamson"
+EMAIL="sparrow1240@gmail.com"
+APPROVED="rworkman"
diff --git a/office/bbdb/slack-desc b/office/bbdb/slack-desc
new file mode 100644
index 0000000000..9a58f32e6f
--- /dev/null
+++ b/office/bbdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bbdb: The Insidious Big Brother Database
+bbdb:
+bbdb: The Insidious Big Brother Database (BBDB) is a
+bbdb: contact management utility created by Jamie
+bbdb: Zawinski for use with Emacs. For many years it was
+bbdb: maintained by Waider. Since February 2007 BBDB is
+bbdb: maintained by Robert Widhopf-Fenk.
+bbdb:
+bbdb: http://bbdb.sourceforge.net
+bbdb:
+bbdb: